/**
 * @(#)SVGLine.java
 * Copyright 2001 
 * @author  Intelligent Technology Inc.
 * @version 0.00 2001/08/16
 */
package jp.co.iti.fagot.xml;

/* java */

/* W3C DOM */
//import	org.w3c.dom.Element;
import	org.w3c.dom.Document;
//import	org.w3c.dom.Node;
//import	org.w3c.dom.NodeList;

/* fagot */
import	jp.co.iti.fagot.xml.SVGShape;

/**
 * SVGLine
 */
public class SVGLine	extends	SVGShape	implements	ISVG{
	
	/**
	 * コンストラクタ
	 * @param	String RootElementName ルートエレメント名("ProjrctUnit"等)
	 * @param	String SystemID        システムID("site.dtd"等)
	 * @return	none
//	 * @exception
//	 * @see
	 * @since	0.00
//	 * @deprecated 
	 * DOMツリーを新規に作成する
	 *   ・docフィールドに新規に作成したDOMツリーのDocumentを設定
	 *   ・rootフィールドに新規に作成したDOMツリーのDocumentの
	 *     ルートエレメントを設定
	 */
	public SVGLine(Document doc){
		super(doc ,LINE);
	}
	
	public SVGLine(Document doc	,String x1 ,String y1 ,String x2 ,String y2 ,SVGStyle style){
		this(doc);
		if(null!=x1)	setAttribute(X1	,x1);
		if(null!=y1)	setAttribute(Y1	,y1);
		if(null!=x2)	setAttribute(X2	,x2);
		if(null!=y2)	setAttribute(Y2	,y2);
		if(null!=style){
			setAttribute(STYLE	,style.toString());
			myStyle = new SVGStyle(style);
		}
	}
}